www.cendio.com
Bug 4652 - Session size "Work area" is larger than the maximized window
: Session size "Work area" is larger than the maximized window
Status: CLOSED FIXED
: ThinLinc
VNC
: 4.0.0
: PC Linux
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-05-22 13:33 by
Modified: 2014-04-01 15:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-05-22 13:33:05
Fedora 18, XFCE 4.10, ThinLinc 4.0.0post-3958.

When you select Work area as the client window size, the resulting ThinLinc
session will become larger than the maximized window (the actual work area).

Panel settings were 'default', i.e. a top panel with menus and a bottom
launcher panel.
------- Comment #2 From cendio 2013-05-22 14:13:31 -------
After starting a ThinLinc session with size Work area on XFCE:

$ grep Desktop ~/.thinlinc/tlclient.log 
2013-05-22T14:07:01: VNC command: /opt/thinlinc/lib/tlclient/vncviewer
-RemoteResize=0 -FullScreenAllMonitors=0 -FullscreenSystemKeys=1 -FullColour=1
-LowColourLevel=2 -AutoSelect=1 -CustomCompressLevel=0 -CompressLevel=2
-QualityLevel=8 -MenuKey=F8 -PasswordFile=/tmp/vncviewerZMM7YU -Shared=1
-DesktopSize=1920x1178 -Maximize -geometry=1918x1174+1+22 127.0.0.1::54473

$ xprop -root | grep ^_NET_WORKAREA
_NET_WORKAREA(CARDINAL) = 0, 31, 1920, 1120, 0, 31, 1920, 1120, 0, 31, 1920,
1120, 0, 31, 1920, 1120
------- Comment #3 From cendio 2013-05-23 16:38:34 -------
Session is created larger than the maximized client window on gnome-shell as
well (F18).
------- Comment #4 From cendio 2013-05-23 16:40:59 -------
This problem occurs with both 4.0.0 and 4.0.0post-3937.
------- Comment #5 From cendio 2013-12-09 16:28:24 -------
Given comment 2, it seems like we are not respecting _NET_WORKAREA properly.
Should hopefully be an easy fix.
------- Comment #6 From cendio 2014-01-14 17:05:25 -------
It was the good ol' 32-bit is long in X11 bug again that caused FLTK to fail to
read _NET_WORKAREA. Fixed in r28300.
------- Comment #7 From cendio 2014-03-21 12:50:19 -------
Tested using client build 4298 on XFCE and gnome-shell. Works as expected.